using System.Collections.Generic;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class EmploymentType : BeWoEntityBase
    {
        
        public static string PropertyName_Name = "Name";

        
        private string _Name;


        public EmploymentType()
        {
            this._Tid = TableID.EmploymentType;
        }

       
        public virtual string Name
        {
            get
            {
                return this._Name;
            }

            set
            {
                if (this.AreDifferent(this._Name, value))
                {
                    this._Name = value;
                }
            }
        }

        
    }
}